> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-signatarios/signinbatch.md).

# SignInBatch

Assinar em lote via API

### Visão geral

Parâmetros:&#x20;

* [SignBatch](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signbatch)

Retorno:

* String[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para assinar em lote precisamos:

* definir seu token api;
* definir o token do usuário;
* definir os tokens dos signatários;
* chamar o método.

### Uso:

Salve seu [Api Token](/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "SEU TOKEN";
</strong></code></pre>

Salve o token de seu usuário, ([onde achar](/signatarios/assinar-em-lote-via-api.md))

```typescript
const userToken: string = "TOKEN USUÁRIO";
```

Salve o token de seus signatários

```typescript
const signerToken1: string = "TOKEN DO SIGNATÁRIO 1";
const signerToken2: string = "TOKEN DO SIGNATÁRIO 2";

let signersToken: string[]  = [];
signersToken.push(signerToken1, signerToken2);
```

Crie a classe [SignInBatch](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signbatch):

```typescript
const signBatch = SignBatchBuilder()
                .withUserToken(userToken)
                .withSignerTokens(signersToken)
                .build();
```

Chame o método signInBatch e receba como resposta uma string contendo uma mensagem de sucesso ou uma mensagem de erro:

```typescript
async function exempleSignInBatch() {
    try {
        signerResponse: string = new SignerRequest(apiToken).signInBatche(signBatch);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }   
}
```

### Exemplo completo:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { SignBatchBuilder } from "sdk-node-typescript-zapsign/src/body/signer/builders/SignBatchBuilder";
<strong>
</strong><strong>const apiToken: string = "SEU TOKEN";
</strong>const userToken: string = "TOKEN USUÁRIO";

const signerToken1: string = "TOKEN DO SIGNATÁRIO 1";
const signerToken2: string = "TOKEN DO SIGNATÁRIO 2";

let signersToken: string[]  = [];
signersToken.push(signerToken1, signerToken2);

const signBatch = SignBatchBuilder()
                .withUserToken(userToken)
                .withSignerTokens(signersToken)
                .build();
                
async function exempleSignInBatch() {
    try {
        signerResponse: string = new SignerRequest(apiToken).signInBatch(signBatch);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }   
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-signatarios/signinbatch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
